# MPI_File_read_shared

Read using shared file pointer

## Synopsis

    int MPI_File_read_shared(MPI_File mpi_fh, void *buf, int count,
                           MPI_Datatype datatype, MPI_Status *status)

## Input Parameters

fh
  file handle (handle)

count
  number of elements in buffer (nonnegative integer)

datatype
  datatype of each buffer element (handle)

## Output Parameters

buf
  initial address of buffer (choice)

status
  status object (Status)

Location:read_sh.c